Bug 591069 - RHEL6: Snapshot2: kmod package names built from source is not compatible with DD v3 rpm requirement
Summary: RHEL6: Snapshot2: kmod package names built from source is not compatible with...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm   
(Show other bugs)
Version: 6.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jon Masters
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-11 11:21 UTC by Paniraj
Modified: 2018-10-27 15:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 18:01:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
source (76.31 KB, application/octet-stream)
2010-05-11 11:21 UTC, Paniraj
no flags Details
spec file (911 bytes, text/plain)
2010-05-11 11:21 UTC, Paniraj
no flags Details

Description Paniraj 2010-05-11 11:21:09 UTC
Created attachment 413103 [details]
source

Description of problem:
------------------------
According to DD v3 documentation, the kmod RPMs of driver disk should have the naming convention as kernel-modules-<running kernel version>.
But when when tried to create one such rpm, the RPM generated has the name kmod-module-version-arch.

I tried to to create a sample package for bnx2 driver by just changing the version number from 2.0.2 to 2.0.3 using attached spec file. The RPM generated has the name kmod-bnx2-2.0.3-x86_64. But DD v3 expects a different name for this RPM.



Steps to Reproduce:
--------------------
1. Copy attached bnx2-2.0.3.tar.bz2 to SOURCES
2. Copy bnx2.spec to SPEC
3. Run rpmbuild -ba bnx2.spec

Comment 1 Paniraj 2010-05-11 11:21:37 UTC
Created attachment 413104 [details]
spec file

Comment 3 RHEL Product and Program Management 2010-05-11 13:12:07 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 5 Panu Matilainen 2010-05-12 06:40:37 UTC
Reassigning to the maintainer of kernel module packaging bits.

Comment 6 Jon Masters 2010-05-18 18:01:11 UTC
This isn't a bug actually :) The driver package simply needs to provide a dependency of kernel-modules, which it does automatically. There is no need to change the /name/ of the package.


Note You need to log in before you can comment on or make changes to this bug.